Imports System
Imports System.Runtime.InteropServices

Public Class Test

  Public Shared Sub Main()

   Dim symbol as String = "MSFT"
   dim quote as String
   Dim monikerName As String = "SOAP:wsdl=http://www.xmethods.net/sd/StockQuoteService.wsdl"
   Dim stockQuoteService as Object
   
   stockQuoteService = Marshal.BindToMoniker(monikerName)
   quote = stockQuoteService.getQuote(symbol)
   Console.WriteLine("Wywołanie SOAP z VB.NET ... dla " + symbol + "  zwróciło $" + quote)
    
  End Sub

End Class



  